## dvb 0.9.4.20020321-1

=== Makefile ===
all:  dvb 

dvb:
	(cd driver; make)
	(cd libdvb; make)
	(cd apps; make)
 
dist:
	(cd ..; tar zcf DVB.`date +%Y%m%d.%H-%M-%S`.tar.gz DVB)

clean:
	-rm -f *~ */*~ */\#*\# 
	(cd apps; make clean)
	(cd libdvb; make clean)
	(cd driver; make clean)

=== apps/Makefile ===
all: 
	(cd mpegtools; make)
	(cd tuxzap; make)
 
clean:
	- rm -f *.o *~
	- (cd mpegtools; make clean)
	- (cd tuxzap; make clean)

=== driver/Makefile ===
export CURRENT:=$(shell head -1 /usr/include/linux/version.h|( read i j k; echo $$k|sed s/\"//g))
#CURRENT=$(shell uname -r)

export KERNEL_LOCATION=/usr/src/linux

CARD = dvb

export CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)
export TOPDIR=$(KERNEL_LOCATION)

M_OBJS       = saa7146_v4l.o VES1893.o VES1820.o L64781.o SP8870.o stv0299.o \
		tda8083.o tuner.o 
MX_OBJS      = saa7146_core.o dmxdev.o dvb_demux.o dvb_net.o \
		dvb_filter.o dvb_firm.o dvb_frontend.o dvbdev.o $(CARD).o

obj-m        = $(MX_OBJS) $(M_OBJS)
export-objs := $(MX_OBJS)

EXTRA_CFLAGS = -I ../ost/include -I . -D__DVB_PACK__ -g -DUSE_OSD 

here:
	DIR=`pwd`; (cd $(KERNEL_LOCATION); make SUBDIRS=$$DIR modules)
	@echo

install:
	su -c "mkdir -p /lib/modules/$(CURRENT)/misc; cp -v $(M_OBJS) $(MX_OBJS) /lib/modules/$(CURRENT)/misc"

reload:
	make
	sync
	(	\
	rmmod $(CARD);		\
	rmmod dvb_frontend;     \
	rmmod dvb_demux;        \
	rmmod dmxdev;           \
	rmmod dvb_net;           \
	insmod dvb_net.o;                \
	insmod dmxdev.o;                \
	insmod dvb_demux.o;             \
	insmod dvb_frontend.o;     \
	insmod $(CARD).o init_chan=2 pids_off=0;	\
	)
	sync


insmod: 
	./makedev.napi
	make
	(	\
	insmod dvbdev.o; \
	insmod dvb_net.o;                \
	insmod i2c-core; \
	insmod videodev;		\
	insmod dvb_filter.o;                \
	insmod dmxdev.o;                \
	insmod VES1893.o;		\
	insmod VES1820.o;		\
	insmod L64781.o;		\
	insmod SP8870.o debug=1;	\
	insmod tda8083.o;		\
	insmod stv0299.o;		\
	insmod tuner.o;			\
	insmod saa7146_core.o mode=0;	\
	insmod saa7146_v4l.o;		\
	insmod dvb_demux.o;             \
	insmod dvb_frontend.o;           \
	insmod $(CARD).o init_chan=2 pids_off=0;	\
	)
	sync

rmmod:
	(	\
	rmmod $(CARD);		\
	rmmod dvb_frontend;     \
	rmmod dvb_demux;        \
	rmmod dmxdev;           \
	rmmod saa7146_v4l;	\
	rmmod saa7146_core;	\
	rmmod dvb_filter;       \
	rmmod videodev;		\
	rmmod L64781;		\
	rmmod SP8870;		\
	rmmod VES1820;		\
	rmmod VES1893;		\
	rmmod stv0299;		\
	rmmod tda8083;		\
	rmmod tuner;		\
	rmmod i2c-core;		\
	rmmod dvb_net;          \
	rmmod dvbdev;		\
	)

newfirm: 
	DIR=`pwd`/arm_firm; (cd ./arm_firm/dvb25/; make ARM_FIRM=$$DIR)
	cp ./arm_firm/dvb25/arm_firm25/DPRAM arm_firm/Dpram
	cp ./arm_firm/dvb25/arm_firm25/ROOT arm_firm/Root

newfirm_dist: 
	DIR=`pwd`/arm_firm; (cd ./arm_firm/dvb25/; make ARM_FIRM=$$DIR FIRM_DIST=1)
	cp ./arm_firm/dvb25/arm_firm25/DPRAM Dpram
	cp ./arm_firm/dvb25/arm_firm25/ROOT Root

ftest: 
	DIR=`pwd`/arm_firm; (cd ./arm_firm/test/; make ARM_FIRM=$$DIR)
	cp ./arm_firm/test/arm_firm25/DPRAM arm_firm/Dpram
	cp ./arm_firm/test/arm_firm25/ROOT arm_firm/Root

ftest2: 
	DIR=`pwd`/arm_firm; (cd ./arm_firm/test2/; make test test.asm ARM_FIRM=$$DIR)

firmclean: 
	(cd ./arm_firm/dvb25/; make clean)

dvb_firm.h: Root Dpram fdump
	./fdump > dvb_firm.h

fdump: fdump.cc 
	g++ -O2 -o fdump fdump.cc

clean:
	-rm -f $(M_OBJS) $(MX_OBJS) *.o .*.o.flags *~

$(CARD).o: $(CARD).h dvb_demux.h dmxdev.h dvb_frontend.h dvb_filter.h dvb_firm.h

dvb_firm.o: dvb_firm.h

dvb_demux.o: dvb_demux.h dmxdev.h

dmxdev.o: dmxdev.h dvb_demux.h

VES1893.o: VES1893.c dvb_frontend.h

VES1820.o: VES1820.c dvb_frontend.h

L64781.o: L64781.c dvb_frontend.h

SP8870.o: SP8870.c dvb_frontend.h

stv0299.o: stv0299.c dvb_frontend.h

tda8083.o: tda8083.c dvb_frontend.h

dvb_filter.o: dvb_filter.c dvb_filter.h

include $(KERNEL_LOCATION)/Rules.make

=== libdvb/Makefile ===
CFLAGS=-O2 -Wall -g
OBJS=devices.o DVB.o OSD.o 
INCLUDES=-I./include -I./src -I. -I../driver -I../ost/include
LIBS=-Lsrc/si -L./ -lpthread

main: libdvb.a merge_dvb conv newtest

install: libdvb.a
	cp libdvb.a /usr/local/lib/
	chmod 644 /usr/local/lib/libdvb.a

libdvb.a: $(OBJS)
	ar -r libdvb.a $(OBJS) 

merge_dvb: merge.cc libdvb.a DVB.hh
	g++ $(LIBS) $(INCLUDES) $(CFLAGS) -o merge_dvb merge.cc -ldvb 

conv: conv.cc libdvb.a DVB.hh
	g++ $(LIBS) $(INCLUDES) $(CFLAGS) -o conv conv.cc -ldvb

newtest: newtest.cc libdvb.a DVB.hh
	g++ $(LIBS) $(INCLUDES) $(CFLAGS) -o newtest newtest.cc -ldvb

DVB.o: DVB.cc DVB.hh
	g++ $(INCLUDES) $(CFLAGS) -c $<

devices.o: devices.cc devices.hh
	g++ $(INCLUDES) $(CFLAGS) -c $<

.c.o: 
	gcc $(INCLUDES) $(CFLAGS) -c $<

.cc.o: 
	g++ $(INCLUDES) $(CFLAGS) -c $<

clean:
	-rm -f *.o *.a stest ptest merge newtest conv merge_dvb *~

=== apps/mpegtools/Makefile ===
INCS   = -I../../driver 
CFLAGS =  -g -Wall -O2 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGEFILE64_SOURCE
LIBS   = 
MFLAG  = -M
MPLEXOBS = buffer.o inits.o interact.o systems.o domplex.o inptstrm.o \
	multplex.o timecode.o mplex.o cpptools.o ctools.o ringbuffy.o \
	bits.cpp remux.o transform.o

SRC  = $(wildcard *.c)
CPPSRC = $(wildcard *.cpp)
CSRC = $(wildcard *.cc) 
COBJ = $(notdir $(SRC:.c=.o)) 
OBJ  = $(notdir $(CSRC:.cc=.o)) ctools.o ringbuffy.o remux.o transform.o
CXX  = g++
CC   = gcc    
LINKS = streamtype ts2pes ps2vid pes2aud_es pes2aud pes2vid_es pes2vid \
	tspids pes2ts analyze pes_demux es_demux ts_demux ts_es_demux \
	pesplot remux pes2ts2 pes_repack split_mpg cut_mpg ts2ps ts2es\
	insert_pat_pmt get_http extract_pes extract_pes_payload\
	change_aspect_1_1 change_aspect_4_3 change_aspect_16_9 \
	change_aspect_221_1

DESTDIR = /usr/local/bin/

.PHONY: depend clean install uninstall


all: mpegtools mplex links

links: mpegtools
	for f in $(LINKS); do\
		ln -sf mpegtools $$f ;\
	done

clean:
	- rm -f *.o .depend mpegtools mplex ctest *~ $(LINKS) ctest


mpegtools: cpptools.o main.o ctools.o ringbuffy.o remux.o transform.o
	$(CXX) $(OBJ) $(LIBS) -o $@

ctest: ctools.o mainc.o ringbuffy.o remux.o transform.o
	$(CC) $(COBJ) -o $@

mplex: $(MPLEXOBS)
	$(CXX) $(MPLEXOBS) $(LIBS) -o $@

%.o:    %.cc 
	$(CXX) -c $(CFLAGS) $(INCS) $(DEFINES) $<

%.o:    %.cpp
	$(CXX) -c $(CFLAGS) $(INCS) $(DEFINES) $<

%.o:    %.c 
	$(CC) -c $(CFLAGS) $(INCS) $(DEFINES) $<

install: mpegtools
	cp mpegtools $(DESTDIR)mpegtools
	chmod 755 $(DESTDIR)mpegtools
	for f in $(LINKS); do\
		ln -sf $(DESTDIR)mpegtools $(DESTDIR)$$f ;\
	done

uninstall:
	for f in $(LINKS); do\
		rm -f $(DESTDIR)$$f; \
	done
	rm -f $(DESTDIR)mpegtools



.depend: 
	$(CXX) $(DEFINES) $(MFLAG) $(SRC) $(CSRC) $(CPPSRC) $(INCS)> .depend



include .depend

=== apps/szap/Makefile ===
CC = gcc
CFLAGS = -Wall -g -O2 -I../../ost/include
LFLAGS =
RM = rm -f

all: szap tzap
	@echo
	@echo "   Please copy an appropriate channel list to"
	@echo "   ~/.szap/channels.conf and ~/.tzap/channels.conf !"
	@echo

szap: szap.c
	$(CC) $(CFLAGS) $($LFLAGS) -o $@ $<

tzap: tzap.c
	$(CC) $(CFLAGS) $($LFLAGS) -o $@ $<

clean:
	$(RM) szap tzap

=== doc/dvbapi/Makefile ===
all: dvbapi.ps

TEXS=  dvbapi.tex devices.tex video.tex audio.tex ca.tex sec.tex frontend.tex \
       intro.tex title.tex dvbstb.ps

dvbapi.pdf: dvbapi.dvi
	dvipdf $< $@

dvbapi.ps: dvbapi.dvi
	dvips -o $@ $<

dvbapi.dvi: dvbapi.bbl $(TEXS)
	-latex dvbapi
	-bibtex dvbapi
	-makeindex dvbapi
	-latex dvbapi
	-latex dvbapi

dvbapi.bbl: $(TEXS)
	-latex dvbapi
	-bibtex dvbapi
	-makeindex dvbapi

%.ps: %.fig
	./fig2pstex $<

clean: 
	rm -f dvbapi.dvi 
	rm -f *.aux *.bbl *.blg *.idx *.ilg *.ind *.log *.out *.toc 
	rm -f *.pdf *.pst *.ps

=== driver/gnufirm/Makefile ===
ARMTC = armeb-linux-

LD = $(ARMTC)ld
OBJCOPY = $(ARMTC)objcopy
CC = $(ARMTC)gcc

CFLAGS = -O6 -I./include -mcpu=arm7tdmi 
objs = reset.o init.o

all: Dpram Boot

Dpram: Makefile Dpram.o Root
	$(LD) -R root -Ttext 0x2c000000 -EB -o Dpram Dpram.o
	$(OBJCOPY) -Obinary Dpram

Root: $(objs)
	$(LD) -Ttext 0x2e000000 -EB -o root $(objs)
	$(OBJCOPY) -Obinary root Root

Boot: Boot.S
	$(CC) -c Boot.S
	$(LD) -Ttext 0x2c000000 -EB -o Boot Boot.o
	$(OBJCOPY) -Obinary Boot

%.o: %.S
	$(CC) -mcpu=arm7tdmi -c $<

%.o: %.c
	$(CC) $(CFLAGS) -c $<

clean:
	-rm -f *.o Dpram root Root Boot *~

=== driver/lirc/Makefile ===
CURRENT:=$(shell head -1 /usr/include/linux/version.h|( read i j k; echo $$k|sed s/\"//g))

LIRC_LOCATION = /usr/src/lirc-0.6.4/

KERNEL_LOCATION=/usr/src/linux


export CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)
export TOPDIR=$(KERNEL_LOCATION)

M_OBJS       = lirc_dvb.o
obj-m        = $(M_OBJS)
EXTRA_CFLAGS = -I .. -I ../../ost/include -I$(LIRC_LOCATION) -I . -D__DVB_PACK__ -g -DUSE_OSD 
here:
	DIR=`pwd`; (cd $(KERNEL_LOCATION); make SUBDIRS=$$DIR modules)
	@echo

lirc_dvb.o: lirc_dvb.c

insmod:
	make
	( \
	insmod $(LIRC_LOCATION)/drivers/lirc_dev/lirc_dev.o; \
	insmod lirc_dvb.o; \
	)

rmmod:
	( \
	rmmod lirc_dvb; \
	rmmod lirc_dev; \
	)

clean:
	-rm -f $(M_OBJS) *.o .*.o.flags *~
include $(KERNEL_LOCATION)/Rules.make

=== debian/changelog ===
dvb (0.9.4.20020321-1) unstable; urgency=low

  * Updated CVS snapshot
  * creating missing symlinks in mpegtools

 -- Eduard Bloch <blade@debian.org>  Wed, 20 Mar 2002 17:31:48 +0100

dvb (0.9.4.20020308-1) unstable; urgency=medium

  * New CVS snapshot, follows new main release
  * Setting exact kernel version dependency, and Firmware files are installed
    with the particular modules package. I am fed up with unresolved symbols
    and ARM crashes.
  * including Dpram and Root now. If someone tries to argument with GPL
    violatons, they shold first explain how the various firmware files can be
    distributed with the Linux kernel while Convergence gives the same
    permissions for distribution
  * Set DVB_FIRM_PATH to Debian's storage directory and removed other cludges
  * Rewrotten a Makefile to make it work with kernel-headers only
  * added changes from VDR author to make the driver act more smooth with
    still frames

 -- Eduard Bloch <blade@debian.org>  Mon, 11 Mar 2002 15:57:39 +0100

dvb (0.9.3.20011227-1) unstable; urgency=low

  * New CVS snapshot
    - 2.4.17 ready
    - new module, included in the init script. Closes: #126422
  * removed the patch from fimrware searching routine, making symlinks instead
  * fixed spelling errors, closes: #124584
  * fixed paths in dvb-driver-source, using dvb-dev package now
  * used gtvscreen2.c from the previous version, the new is broken
  * New example files apps/szap/channels.conf-dvbt*

 -- Eduard Bloch <blade@debian.org>  Tue, 27 Dec 2001 15:12:27 +0100

dvb (0.9.3.20011107-1) unstable; urgency=low

  * New CVS snapshot
    - driver-source: fixes compilation problems with kernel >> 2.4.10
    - zapping, mpegtools: various improvements and fixes
  * improved description and README.Debian, upstream's hints

 -- Eduard Bloch <blade@debian.org>  Tue,  7 Nov 2001 09:36:27 +0100

dvb (0.9.3.20011003-1) unstable; urgency=low

  * New CVS snapshot, minor fix in mpegtools
  * typos in manpages fixed
  * included forgotten README in the mpegtools
  * combined both rules files to build multiple modules packages.
  * changed location of firmware to /lib/dvb

 -- Eduard Bloch <blade@debian.org>  Wed,  3 Oct 2001 23:11:23 +0200

dvb (0.9.3.20010921-1) unstable; urgency=low

  * Initial Release. Closes: #112463, Closes: #112464
  * removed firmware from the source, unclear license.
  * Hacked Makefile and dvb.c to compile w/o firmware files and load external
    firmware from Debian conform locations.

 -- Eduard Bloch <blade@debian.org>  Fri, 21 Sep 2001 21:21:14 +0200

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: dvb
Section: misc
Priority: extra
Maintainer: Eduard Bloch <blade@debian.org>
Build-Depends: debhelper (>> 3.0.0), libgtk1.2-dev (>= 1.2.7), libcdk-dev, c-compiler, c++-compiler, transfig, tetex-bin, automake, ncurses-dev, liblircclient-dev
Standards-Version: 3.5.2

Package: dvb-dev
Architecture: i386
Depends: libc6-dev | libc-dev
Suggests: postscript-viewer
Description: development files for DVB applications
 This file contains development files and a static version of the dvb
 library needed to build applications which use DVB stuff.
 .
 The package also contains the DVB API reference.

Package: dvb-zapping
Architecture: i386
Depends: ${shlibs:Depends}
Description: Viewer programs for DVB cards
 Some applications for the DVB users:
 .
 tuxzap - TV viewer for X/Gtk
 ntuxzap - same for Console/ncurses
 rtuxzap - a special version using lirc driver for controls
 tuxview - simple viewer for v4l devices
 szap - simple zapping tool for the Linux DVB API
 tuxplayer - Video player for DVB stream data files for X/Gtk
 ntuxplayer - same for Console/ncurses

Package: dvb-mpegtools
Architecture: i386
Depends: ${shlibs:Depends}
Description: Viewer programs for DVB cards
 Miscellaneous command line tools for conversion between DVB and MPEG
 video data formats.

Package: dvb-driver-source
Architecture: i386
Depends: kernel-package, debhelper, make, dvb-dev (= ${Source-Version})
Description: sources for drivers for the Fujitsu Siemens DVB card
 DVB is a standard for transmission of digital TV and Data over
 satelite transponders or cable connections. Some DVB cards based on
 the Fujitsu/Siemens chipset are supported by the linux driver.
 .
 This package contains sorce code needed to create the driver package.
 The kernel sources (2.4.9 or newer) must be installed to compile
 these modules. You will also need the Firmware files for your card,
 see installation instructions in the package.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

SHELL=/bin/bash

configure: configure-stamp
configure-stamp:
	dh_testdir
	cd debian; cp control.big control
	# Add here commands to configure the package.
	touch configure-stamp

docs-stamp:
	cd doc/dvbapi ; yes "" | make
	touch docs-stamp

mpegtools-stamp:
	cd apps/mpegtools/; make
	touch docs-stamp

szap-stamp:
	cd libdvb ; make
	cd apps/szap/; make
	touch docs-stamp

tuxzap-stamp: szap-stamp
	cd apps/tuxzap/; ./autogen.sh --prefix=/usr  --with-dvb-path=$(CURDIR)/libdvb ; make
	touch tuxzap-stamp


build: configure-stamp build-stamp
build-stamp: docs-stamp mpegtools-stamp szap-stamp tuxzap-stamp
	dh_testdir
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f *-stamp

	# Add here commands to clean up after the build process.
	cd debian; cp control.big control
	-$(MAKE) clean
	-cd driver ; make clean
	-cd apps/tuxzap ; make distclean
	rm -rf apps/tuxzap/{config.guess,config.sub,config.cache,install-sh,missing,mkinstalldirs} libdvb/merge_dvb libdvb/conv driver/*.o driver/dvb_firm.h driver/fdump apps/tuxzap/src/Makefile.in apps/tuxzap/aclocal.m4 apps/tuxzap/config.h.in apps/tuxzap/Makefile.in apps/tuxzap/configure
	-cd doc/dvbapi ; make clean
	-cd apps/szap ; make clean
	find apps/tuxzap/depcomp debian/ -type l | xargs rm -f

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# apparently bug in debhelper
	DH_COMPAT=1; dh_installdirs

	# install stuff into debian/dvb-dev.
	cp -a libdvb/include debian/dvb-dev/usr
	cp -a ost/include debian/dvb-dev/usr
	cp -a libdvb/*.a debian/dvb-dev/usr/lib

	# install stuff into debian/dvb-zapping.
	cd apps/tuxzap/src; make install prefix=../../../debian/dvb-zapping/usr
	cp -a apps/szap/szap debian/dvb-zapping/usr/bin

	# install stuff into debian/dvb-mpegtools.
	cp -a $$(find apps/mpegtools/ -type l) apps/mpegtools/mpegtools  apps/mpegtools/mplex debian/dvb-mpegtools/usr/bin
	(cd debian/dvb-mpegtools/usr/bin; for x in analyze cut_mpg es_demux mpegtools mplex pes2aud pes2aud_es pes2ts pes2ts2 pes2vid pes2vid_es pes_demux pesplot pes_repack ps2vid remux split_mpg streamtype ts2es ts2pes ts2ps ts_demux ts_es_demux tspids ; do ln -s mplex $x || true; done)


	# create the -src package.
#	cd driver && make dvb_firm.h-build
	cp -a driver debian/dvb-driver-source/usr/src/modules/dvb-driver/
#	rm debian/dvb-driver-source/usr/src/modules/dvb-driver/dvb_firm.h
	cat debian/patch-* | (cd debian/dvb-driver-source/usr/src/modules/dvb-driver/ ; patch -p1)
#	rm debian/dvb-driver-source/usr/src/modules/dvb-driver/driver/Root debian/dvb-driver-source/usr/src/modules/dvb-driver/driver/Dpram
	cp -a debian/dvb-driver.debian/* debian/dvb-driver-source/usr/src/modules/dvb-driver/debian/
	ln -s /usr/include/ost debian/dvb-driver-source/usr/src/modules/dvb-driver
	cp -a debian/copyright* debian/rules debian/dvb-driver-source/usr/src/modules/dvb-driver/debian/
	dh_installdebconf -pdvb-driver debian/copyright*
	chmod +x debian/dvb-driver-source/usr/src/modules/dvb-driver/debian/rules
#	sed -e 's/^dvb /dvb-driver-source /' < debian/changelog > debian/dvb-driver-source/usr/src/modules/dvb-driver/debian/changelog
	cp debian/changelog debian/dvb-driver-source/usr/src/modules/dvb-driver/debian/changelog
	cd  debian/dvb-driver-source/usr/src/ ; tar -c modules/dvb-driver | gzip -9 > dvb-driver.tgz
	rm -rf debian/dvb-driver-source/usr/src/modules/dvb-driver
	
	dh_movefiles

	find debian | grep -i CVS | xargs rm -rf
	find debian/dvb-dev debian/dvb-driver-source/usr/src/modules/ -type f |grep -v rules| xargs chmod -x

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
#	dh_installdebconf -a
	dh_installdocs -a
	dh_installdocs -p dvb-mpegtools apps/mpegtools/README
	# use a different name
	cp apps/tuxzap/README debian/tmp/README.tuxzap
	dh_installdocs -p dvb-zapping debian/tmp/README.tuxzap
	# install the README from dvb-driver.debian
	cp driver/gnufirm/README debian/tmp/README.gnufirm
	dh_installdocs -p dvb-driver-source debian/dvb-driver.debian/README.Debian debian/tmp/README.gnufirm
	cat doc/README.* > debian/dvb-driver.debian/README
	dh_installexamples -p dvb-zapping apps/dvb* apps/lir* apps/szap/{vdr*,channels.conf*}
	dh_installmenu -a
	dh_installcron -a
	dh_installinfo -a
	dh_installman -p dvb-zapping debian/tuxzap.1
	for x in ntuxplayer ntuxzap rtuxzap szap tuxplayer tuxview ; do ln -s tuxzap.1 debian/dvb-zapping/usr/share/man/man1/$$x.1; done
	dh_installman -p dvb-mpegtools debian/mpegtools.1
	for x in mplex `find apps/mpegtools/ -type l | cut -f3 -d"/"` ; do ln -s mpegtools.1 debian/dvb-mpegtools/usr/share/man/man1/$$x.1; done
	dh_installchangelogs  -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_fixperms -p dvb-dev
#	dh_makeshlibs -a
	dh_installdeb -a
#	dh_perl -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

#ifneq ($(KSRC), )
#binary: kdist_image
#else
binary: binary-indep binary-arch
#binary: binary-arch
#endif
.PHONY: build clean binary-indep binary-arch binary install configure

.PHONY: configure_mod
configure_mod:
	-cd debian; cp -s dvb-driver.debian/* .
	sed 's/#KVERS#/$(KVERS)/g' debian/control.template | sed 's/#KDREV#/$(KDREV)/g' > $(CURDIR)/debian/control
	sed 's/#KVERS#/$(KVERS)/g' debian/dvb-driver.config.template > $(CURDIR)/debian/dvb-driver-$(KVERS).config
	sed 's/#KVERS#/$(KVERS)/g' debian/templates.template > $(CURDIR)/debian/templates
	sed 's/#KVERS#/$(KVERS)/g' debian/prerm.template > $(CURDIR)/debian/prerm
	sed 's/#KVERS#/$(KVERS)/g' debian/postinst.01.template > $(CURDIR)/debian/postinst.01
	sed 's/#KVERS#/$(KVERS)/g' debian/postinst.04.template > $(CURDIR)/debian/postinst.04
	cat driver/makedev.napi > debian/postinst.02
	cat debian/postinst.0? > debian/postinst
	dh_testdir
	dh_testroot
	touch configure_mod-stamp


.PHONY: build_mod
build_mod:
	dh_testdir
	dh_testroot
	cd driver ; $(MAKE) -f Makefile.debian

	touch build_mod-stamp


.PHONY: install_mod
install_mod:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -p dvb-driver-$(KVERS) usr/lib/dvd lib/modules/$(KVERS)/misc lib/modules/$(KVERS)-dvb etc/modutils
	-rm driver/dvb_firm.o
	mv driver/tuner.o driver/dvb_tuner.o
	cp -a driver/*.o debian/dvb-driver-$(KVERS)/lib/modules/$(KVERS)/misc
	cp driver/modules.conf debian/dvb-driver-$(KVERS)/etc/modutils/dvb-$(KVERS)
	-rm debian/dvb-driver-$(KVERS)/lib/modules/$(KVERS)/misc/dvb_firm.o
	cp -a driver/Root driver/Dpram debian/dvb-driver-$(KVERS)/lib/modules/$(KVERS)-dvb/

.PHONY: binary_modules_mod
binary_modules_mod:
	dh_testdir
	dh_testroot
	cd $(CURDIR)
	dh_installdebconf	-n
#	dh_installexamples
#	dh_installmanpages
#	dh_installinit -n
	dh_installmodules
	dh_installchangelogs 
	dh_installdocs debian/README
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here.
#	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
#	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb --destdir=$(KSRC)/..


.PHONY: clean_mod
clean_mod:
	dh_testdir
	dh_testroot
	rm -f build_mod-stamp configure_mod-stamp

	# Add here commands to clean up after the build process.
	-cd driver ; $(MAKE) -f Makefile.debian clean
	rm -rf dvb_firm.h fdump debian/dvb-driver-*config debian/postinst

	-dh_clean

#	-rm $(CURDIR)/debian/control
#	-rm $(CURDIR)/debian/dirs
#	-rm $(CURDIR)/debian/override
#	-$(MAKE) clean


# The kdist_configure target is called by make-kpkg modules_config. It
# should configure the module so it is ready for compilation (mostly
# useful for calling configure)
.PHONY: kdist_config
kdist_config: configure_mod

## dvb 1.0.0-3

=== Makefile ===

VERSION := 1.0.0
PACKAGE := linuxtv-dvb-$(VERSION)


all:  dvb 

dvb:
	(cd driver; make)
	(cd apps/av7110_loadkeys; make)
	(cd apps/dvbnet; make)
	(cd apps/scan; make)
	(cd apps/test; make)
	(cd apps/szap; make)


CVSROOT     := $(shell cat CVS/Root)
RELEASE_TAG := LINUXTV-DVB-$(subst .,_,$(subst -,_,$(VERSION)))

release dist:
	rm -rf release-tmp $(PACKAGE).tar.gz
	mkdir release-tmp
	( cd release-tmp; cvs -d$(CVSROOT) export -r$(RELEASE_TAG) -d$(PACKAGE) DVB )
	# work around CVS braindeadness wrt file permissions
	chmod -x release-tmp/$(PACKAGE)/Makefile
	chmod -x release-tmp/$(PACKAGE)/driver/av7110/av7110.c
	chmod -x release-tmp/$(PACKAGE)/include/linux/em8300.h
	find release-tmp -name .cvsignore | xargs rm -v
	( cd release-tmp; tar czf ../$(PACKAGE).tar.gz $(PACKAGE) )
	rm -rf release-tmp
	@echo
	@echo --------------------------------------------------------------------------------
	@echo
	@echo "driver package: ./$(PACKAGE).tar.gz"
	@echo
	@echo --------------------------------------------------------------------------------
	@echo


clean:
	(cd driver; make clean)
	(cd apps/av7110_loadkeys; make clean)
	(cd apps/dvbnet; make clean)
	(cd apps/scan; make clean)
	(cd apps/test; make clean)
	(cd apps/szap; make clean)

=== driver/Makefile ===
##
#  Configs
#

KSRC ?= /usr/src/linux
export KSRC

CARDS = av7110
#CARDS += margi
#CARDS += em8300
CARDS += b2c2

#export USE_DVB_DSP=1
#dvb_dsp-ins = insmod dvb_dsp.o;
#dvb_dsp-rmm = rmmod dvb_dsp;

#  END OF CONFIGS

##
#  Globals
#

export DVB_PACK = 1

export KERNEL_VERSION := $(shell uname -r)
export KERNEL_LOCATION = $(KSRC)

export CONFIG_SHELL := $(shell if [ -x "$$BASH" ]; then echo $$BASH; \
	  else if [ -x /bin/bash ]; then echo /bin/bash; \
	  else echo sh; fi ; fi)

export TOPDIR=$(KERNEL_LOCATION)

DVB_MOD_SUBDIR=misc
DVB_MOD_DIR=/lib/modules/$(KERNEL_VERSION)/$(DVB_MOD_SUBDIR)

KCFLAGS = -D__KERNEL__ -DMODVERSIONS -include $(KSRC)/include/linux/modversions.h -I$(KSRC)/include -Wall -Wstrict-prototypes -Wno-trigraphs -O2 -fomit-frame-pointer -fno-strict-aliasing -fno-common
-pipe -mpreferred-stack-boundary=2 -march=i386 -DMODULE -I../ -I. -D__DVB_PACK__ -d -DUSE_OSD -DEXPORT_SYMTAB -c -DDVB_FIRM_PATH='"/lib/modules/$(KVERS)-dvb/"'

##
#  Targets
#

here:
	DIR=`pwd`; (cd $(KERNEL_LOCATION); $(MAKE) SUBDIRS=$$DIR modules)
	@echo

install:
	install -v -m 0755 -d $(DESTDIR)$(DVB_MOD_DIR)
	install -m 0644 dvb-core.o $(DESTDIR)$(DVB_MOD_DIR)
	install -m 0644 av7110/dvb-ttpci.o $(DESTDIR)$(DVB_MOD_DIR)
	find frontends/ -name "*.o" -exec install -v -m 0644 {} $(DESTDIR)$(DVB_MOD_DIR) \;
	depmod -a

reload: rmmod insmod


insmod: here
	sync
	(						\
	insmod videodev;				\
	$(dvb_dsp-ins)          			\
	insmod dvb-core.o dvb_shutdown_timeout=0; 	\
	make -C frontends insmod; 			\
	$(foreach card, $(CARDS), make -C $(card) insmod;) \
	)
	sync

rmmod:
	sync
	(	\
	$(foreach card, $(CARDS), make -C $(card) rmmod;) \
	make -C frontends rmmod; \
	rmmod dvb-core;          \
	$(dvb_dsp-rmm)          \
	rmmod videodev;		 \
	)
	sync

clean:
	-rm -f $(M_OBJS) $(MX_OBJS) *.o *.d .*.o.flags *~
	$(MAKE) -C frontends clean
	$(foreach card, $(CARDS), $(MAKE) -C $(card) clean;)


##
#  Rules
#

export-objs = dvb_ksyms.o compat.o
obj-m       = dvb-core.o

list-multi := dvb-core.o

dvb-core-objs = dmxdev.o dvb_demux.o dvb_net.o dvb_i2c.o \
		dvb_filter.o dvb_frontend.o dvbdev.o compat.o \
		dvb_ksyms.o

subdir-y    := frontends $(CARDS)
mod-subdirs := frontends $(CARDS)

EXTRA_CFLAGS = -I ../include -I .. -I . -MD

dvb-core.o: $(dvb-core-objs)
	$(LD) -r -o $@ $(dvb-core-objs)

include $(TOPDIR)/Rules.make
-include $(wildcard *.d) dummy

=== apps/scan/Makefile ===

CC = gcc
CFLAGS = -g -Wall -O2 -I../../include
LFLAGS = -g -Wall

OBJS = diseqc.o dump-zap.o dump-vdr.o scan.o
SRCS = $(OBJS:.o=.c)

TARGET = scan

$(TARGET): $(OBJS)
	$(CC) $(LFLAGS) -o $(TARGET) $(OBJS)

.c.o:
	$(CC) $(CFLAGS) -c $< -o $@

clean:
	$(RM) .depend core core.* *.o $(TARGET)

.depend: $(SRCS)
	$(CC) -M $(CFLAGS) $(SRCS) > .depend

-include .depend

=== doc/dvbapi/Makefile ===
all: dvbapi.ps dvbapi.pdf

TEXS=  dvbapi.tex devices.tex video.tex audio.tex ca.tex net.tex frontend.tex \
       demux.tex kdapi.tex examples.tex intro.tex title.tex dvbstb.ps

dvbapi.pdf: dvbapi.dvi
	dvipdf $<

dvbapi.ps: dvbapi.dvi
	dvips $<

dvbapi.dvi: dvbapi.bbl $(TEXS)
	-latex dvbapi
	-latex dvbapi

dvbapi.bbl: $(TEXS)
	-latex dvbapi
	-bibtex dvbapi
	-makeindex dvbapi

html: dvbapi.dvi
	latex2html -address "LinuxTV DVB API" -long_titles 4 -split 3 dvbapi.tex

%.ps: %.fig
	./fig2pstex $<

clean: 
	rm -f dvbapi.dvi 
	rm -f *.aux *.bbl *.blg *.idx *.ilg *.ind *.log *.out *.toc 
	rm -f *.pdf *.pst *.ps
	rm -rf dvbapi

=== driver/av7110/Makefile ===

O_target := av7110.o

export-objs := av7110_ksyms.o

list-multi := dvb-ttpci.o

dvb-ttpci-objs := saa7146_core.o saa7146_v4l.o av7110.o av7110_ir.o ttpci_eeprom.o

dvb-ttpci.o: $(dvb-ttpci-objs)
	$(LD) -r -o $@ $(dvb-ttpci-objs)


EXTRA_CFLAGS = -I../.. -I.. -I. -DCONFIG_DVB_AV7110_OSD -MD -DDVB_FIRM_PATH='"/lib/modules/$(KVERS)-dvb/"'


ifdef DVB_PACK 
  obj-m += dvb-ttpci.o
  EXTRA_CFLAGS += -I../../include
else
  obj-$(CONFIG_AV7110_DVB) += dvb-ttpci.o
endif

# Extract lists of the multi-part drivers. 
# The 'int-*' lists are the intermediate files used to build the multi's. 
 
multi-y         := $(filter $(list-multi), $(obj-y)) 
multi-m         := $(filter $(list-multi), $(obj-m)) 
int-y           := $(sort $(foreach m, $(multi-y), $($(basename $(m))-objs))) 
int-m           := $(sort $(foreach m, $(multi-m), $($(basename $(m))-objs))) 
 
# Files that are both resident and modular: remove from modular. 
 
obj-m           := $(filter-out $(obj-y), $(obj-m)) 
int-m           := $(filter-out $(int-y), $(int-m)) 
 
# Take multi-part drivers out of obj-y and put components in. 
 
obj-y           := $(filter-out $(list-multi), $(obj-y)) $(int-y) 
 
include $(TOPDIR)/Rules.make 


##
# Targets
#

newfirm: 
	DIR=`pwd`/arm_firm; (cd ./arm_firm/dvb25/; make ARM_FIRM=$$DIR)
	cp ./arm_firm/dvb25/arm_firm25/DPRAM arm_firm/Dpram
	cp ./arm_firm/dvb25/arm_firm25/ROOT arm_firm/Root

newfirm_dist: 
	DIR=`pwd`/arm_firm; (cd ./arm_firm/dvb25/; make ARM_FIRM=$$DIR FIRM_DIST=1)
	cp ./arm_firm/dvb25/arm_firm25/DPRAM Dpram
	cp ./arm_firm/dvb25/arm_firm25/ROOT Root

firmclean: 
	(cd ./arm_firm/dvb25/; make clean)

fdump: fdump.c
	$(HOSTCC) $(HOSTCFLAGS) -o fdump fdump.c

clean:
	-rm -f *.o *.d .*.o.flags *~ av7110_firm.h fdump

insmod:
	insmod input; \
	insmod evdev; \
	insmod dvb-ttpci.o;

rmmod:
	rmmod dvb-ttpci; \
	rmmod evdev; \
	rmmod input;


##
#  Extra Rules
#

av7110.c: av7110_firm.h

av7110_firm.h: Root Dpram fdump
	./fdump > av7110_firm.h

-include $(wildcard *.d) dummy

=== driver/b2c2/Makefile ===

O_target := skystar2.o

list-multi := skystar2.o

EXTRA_CFLAGS = -I.. -I. -I../..

ifdef DVB_PACK 
  obj-m += skystar2.o
  EXTRA_CFLAGS += -I../../include
else
  obj-$(CONFIG_SKYSTAR2_DVB) += skystar2.o
endif

# Extract lists of the multi-part drivers. 
# The 'int-*' lists are the intermediate files used to build the multi's. 
 
multi-y         := $(filter $(list-multi), $(obj-y)) 
multi-m         := $(filter $(list-multi), $(obj-m)) 
int-y           := $(sort $(foreach m, $(multi-y), $($(basename $(m))-objs))) 
int-m           := $(sort $(foreach m, $(multi-m), $($(basename $(m))-objs))) 
 
# Files that are both resident and modular: remove from modular. 
 
obj-m           := $(filter-out $(obj-y), $(obj-m)) 
int-m           := $(filter-out $(int-y), $(int-m)) 
 
# Take multi-part drivers out of obj-y and put components in. 
 
obj-y           := $(filter-out $(list-multi), $(obj-y)) $(int-y) 
 
include $(TOPDIR)/Rules.make 

##
# Targets
#

clean:
	-rm -f *.o *.d .*.o.flags *~

# ignore errors here because insmod fails if you don't have a skystar2 card
insmod:
	-insmod skystar2.o;

rmmod:
	-rmmod skystar2;


##
#  Extra Rules
#

-include $(wildcard *.d) dummy

=== driver/frontends/Makefile ===
obj-y           := 
obj-m           := 
obj-n           := 
obj-            := 

SUB_DIRS     :=  
MOD_SUB_DIRS := $(SUB_DIRS) 
ALL_SUB_DIRS := $(SUB_DIRS) 

O_TARGET := frontends.o 

# All of the (potential) objects that export symbols. 
# This list comes from 'grep -l EXPORT_SYMBOL *.[hc]'. 
 
export-objs     := 
 
list-multi      := 

EXTRA_CFLAGS = -MD

ifdef DVB_PACK 
obj-m +=  alps_bsrv2.o alps_tdmb7.o alps_tdlb7.o grundig_29504-401.o grundig_29504-491.o stv0299.o ves1820.o tda1004x.o mt312.o
EXTRA_CFLAGS += -I ../../include -I . -I.. -I../.. 
else
obj-$(CONFIG_DVB_ALPS_BSRV2) += alps_bsrv2.o
obj-$(CONFIG_DVB_ALPS_TDMB7) += alps_tdmb7.o
obj-$(CONFIG_DVB_ALPS_TDLB7) += alps_tdlb7.o
obj-$(CONFIG_DVB_GRUNDIG_29504_491) += grundig_29504-491.o
obj-$(CONFIG_DVB_GRUNDIG_29504_401) += grundig_29504-401.o
obj-$(CONFIG_DVB_STV0299) += stv0299.o
obj-$(CONFIG_DVB_VES1820) += ves1820.o
obj-$(CONFIG_DVB_TDA1004X) += tda1004x.o
obj-$(CONFIG_DVB_MT312) += mt312.o
endif

# Extract lists of the multi-part drivers. 
# The 'int-*' lists are the intermediate files used to build the multi's. 
 
multi-y         := $(filter $(list-multi), $(obj-y)) 
multi-m         := $(filter $(list-multi), $(obj-m)) 
int-y           := $(sort $(foreach m, $(multi-y), $($(basename $(m))-objs))) 
int-m           := $(sort $(foreach m, $(multi-m), $($(basename $(m))-objs))) 
 
# Files that are both resident and modular: remove from modular. 
 
obj-m           := $(filter-out $(obj-y), $(obj-m)) 
int-m           := $(filter-out $(int-y), $(int-m)) 
 
# Take multi-part drivers out of obj-y and put components in. 
 
obj-y           := $(filter-out $(list-multi), $(obj-y)) $(int-y) 
 

include $(TOPDIR)/Rules.make 
 
fastdep: 
 
clean:
	-rm -f $(M_OBJS) $(MX_OBJS) *.o *.d .*.o.flags *~

insmod:
	$(foreach frontend, $(obj-m), insmod $(frontend); )

rmmod:
	$(foreach frontend, $(obj-m), rmmod $(frontend:.o=); )

-include $(wildcard *.d) dummy

=== debian/changelog ===
dvb (1.0.0-3) unstable; urgency=low

  * dvb-dev: trying to overwrite `/usr/include/linux/em8300.h', which 
    is also in package em8300-headers see bug: #211883. Added a
    Conflicts. Notified upstream.
  * finally close: bug #211933 added kernel-sources as a dependence 
    (closes: Bug#211933)

 -- Andreas Mueller <amu@tr.debian.net>  Fri, 26 Sep 2003 21:38:44 +0200

dvb (1.0.0-2) unstable; urgency=low

  * Moved to Standarts-Version: 3.6.1
  * close: bug #211933
    Added missing build dep kernel-headers for 
    dvb-driver-source
  * testing now with precompiled modules    
  
 -- Andreas Mueller <amu@tr.debian.net>  Sun, 21 Sep 2003 12:07:02 +0200

dvb (1.0.0-1) unstable; urgency=low

  * Updated to 1.0.0 release 
  * fixed the dvb-driver-source package
  * close bug #186207
    (closes: Bug#186207)
  * close bug #172173
    (closes: Bug#172173)
  * close bug #166818
    (closes: Bug#166818)
  * close bug #166829
    (closes: Bug#166829)
  * close bug #199845
    (closes: Bug#199845)

 -- Andreas Mueller <amu@tr.debian.net>  Tue, 9 Sep 2003 12:00:00 +0200

dvb (0.9.4.20020803-6.1) unstable; urgency=low

  * NMU (sponsored by Joey Hess)
  * debian/patches/02_strstream-gcc3.3-fix_diff:
    - Change all references to 'strstream.h' to 'strstream', so the package
      can be successfully built with GCC 3.3, closes: #198286.

 -- Tore Anderson <tore@linpro.no>  Sun, 13 Jul 2003 20:05:32 +0200

dvb (0.9.4.20020803-6) unstable; urgency=low
  
  * close bug 157436 
    (closes: Bug#157436)
  * set architecture to "any"
    (closes: Bug#148272)
  * Added autoconf2.13 as build-dep and modified autogen.sh to run
    autoconf2.13. Added a patch file 01_auto_sh_diff for this.
    thanks to Francesco 
    (closes: #157198)
 
 -- Andreas Mueller <amu@tr.debian.net>  Sat, 15 Mar 2003 21:22:00 +0100

dvb (0.9.4.20020803-5) unstable; urgency=low

  * some cosmetic changes 

 -- Andreas Mueller <amu@tr.debian.net>  Sat,  4 Jan 2003 16:27:00 +0100

dvb (0.9.4.20020803-4) unstable; urgency=low

  * took package from Eduard/QA
    (closes: Bug#117995)

 -- Andreas Mueller <amu@tr.debian.net>  Sat,  4 Jan 2003 16:27:00 +0100

dvb (0.9.4.20020803-3) unstable; urgency=low

  * Too bad, my own scripts reverted the changes in control.  Now fixes
    Build-Dependencies and Arch, thanks to Lamont, closes: #155364
  * separated Debian changes from CVS snapshot, now patching like with DBS

 -- Eduard Bloch <blade@debian.org>  Sun,  4 Aug 2002 11:26:12 +0200

dvb (0.9.4.20020803-2) unstable; urgency=low

  * Arch: all, now really :(

 -- Eduard Bloch <blade@debian.org>  Sat,  3 Aug 2002 12:00:46 +0200

dvb (0.9.4.20020803-1) unstable; urgency=low

  * Updated CVS snapshot
  * Fixed devfsd integration, thanks to Kay Sievers <kay@vrfy.org>
  * Removed KDREV dependency, -DMODVERSIONS fixed this

 -- Eduard Bloch <blade@debian.org>  Sat,  3 Aug 2002 10:03:36 +0200

dvb (0.9.4.20020709-1) unstable; urgency=low

  * Updated CVS snapshot, works with 2.4.19-rc1
  * Better dependency on automake, closes: #151685
  * Defined MODVERSIONS, closes: #145006
  * Devfs optimisations, closes: #133755. Symlinks may need some improvement,
    cannot test yet.
  * Changed misleading debconf message
  * Arch: all, let's see how far this go.

 -- Eduard Bloch <blade@debian.org>  Tue,  9 Jul 2002 22:45:52 +0200

=== debian/control ===
Source: dvb
Section: misc
Priority: extra
Maintainer: Andreas Mueller <amu@tr.debian.net>
Build-Depends: debhelper (>> 3.0.0), c-compiler, c++-compiler, transfig, tetex-bin, automake1.7 | automake, ncurses-dev, liblircclient-dev, gs-common, bzip2, imagemagick
Standards-Version: 3.6.1

Package: dvb-dev
Architecture: all
Depends: libc6-dev | libc-dev
Suggests: postscript-viewer
Description: development files for DVB applications
 This file contains development files and a static version of the dvb
 library needed to build applications which use DVB stuff.
 .
 The package also contains the DVB API reference.

Package: dvb-utils
Architecture: any
Depends: ${shlibs:Depends}
Provides: dvb-zapping
Conflicts: dvb-zapping
Replaces: dvb-zapping
Description: Viewer programs for DVB cards
 Some applications for DVB users:
 .
 av7110_loadkeys - tool to load keyfiles of ir-remotes
 evtest - find out events-keys to generate a keyfile for your remote
 femon  - monitor the singal-strength... of your card
 scan   - scan all transponders and generate a channels.conf
 czap   - simple zapping tool for the Linux DVB API (DVB-C-Cards)
 szap   - simple zapping tool for the Linux DVB API (DVB-S-Cards)
 tzap   - simple zapping tool for the Linux DVB API (DVB-T-Cards)

Package: dvb-driver-source
Architecture: all
Depends: kernel-package, kernel-source, debhelper, make, dvb-dev (= ${Source-Version})
Conflicts: em8300-headers
Description: sources for drivers for the Fujitsu Siemens DVB card
 DVB is a standard for transmission of digital TV and Data over
 satelite transponders or cable connections. Some DVB cards based on
 the Fujitsu/Siemens chipset are supported by the linux driver.
 .
 This package contains sorce code needed to create the driver package.
 The kernel sources (2.4.9 or newer) must be installed to compile
 these modules.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. 
# GNU copyright 1997 by Joey Hess.
#
# This version is for a hypothetical package that builds an
# architecture-dependant package, as well as an architecture-independent
# package.

# Uncomment this to turn on verbose mode. 
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=3

SHELL=/bin/bash

configure: configure-stamp
configure-stamp:
	dh_testdir

docs-stamp:
	cd doc/dvbapi ; yes "" | make

av7110_loadkeys-stamp:
	cd apps/av7110_loadkeys/; make

scan-stamp:
	cd apps/scan/; make

szap-stamp:
	cd apps/szap/; make

build: configure-stamp build-stamp
build-stamp: docs-stamp av7110_loadkeys-stamp scan-stamp szap-stamp
	dh_testdir
	# Add here commands to compile the package.
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	rm -f *-stamp

	# Add here commands to clean up after the build process.
	cd apps/av7110_loadkeys/; make clean
	cd doc/dvbapi/; make clean
	cd apps/scan/; make clean
	cd apps/szap/; make clean

	dh_clean

install: DH_OPTIONS=
install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	# apparently bug in debhelper
	DH_COMPAT=1; dh_installdirs

	# install stuff into debian/dvb-dev.
	#cp -a build-tree/libdvb/include debian/dvb-dev/usr
	cp -a include debian/dvb-dev/usr
	#cp -a build-tree/libdvb/*.a debian/dvb-dev/usr/lib

	# install stuff into debian/dvb-utils.
	cp -a apps/av7110_loadkeys/av7110_loadkeys debian/dvb-utils/usr/bin
	cp -a apps/av7110_loadkeys/evtest debian/dvb-utils/usr/bin
	cp -a apps/av7110_loadkeys/README debian/dvb-utils/usr/share/doc/dvb-utils/README.av7110_loadkeys
	
	cp -a apps/scan/scan debian/dvb-utils/usr/bin
	cp -a apps/scan/README debian/dvb-utils/usr/share/doc/dvb-utils/README.scan
	
	cp -a apps/szap/czap debian/dvb-utils/usr/bin
	cp -a apps/szap/femon debian/dvb-utils/usr/bin
	cp -a apps/szap/szap debian/dvb-utils/usr/bin
	cp -a apps/szap/tzap debian/dvb-utils/usr/bin

	# create the -src package.
	cp -a driver debian/dvb-driver-source/usr/src/modules/dvb-driver/
	cp -a debian/dvb-driver.debian/* debian/dvb-driver-source/usr/src/modules/dvb-driver/debian/
	ln -s /usr/include/linux/ debian/dvb-driver-source/usr/src/modules/dvb-driver
	cp -a debian/copyright* debian/changelog debian/dvb-driver-source/usr/src/modules/dvb-driver/debian/
	dh_installdebconf -pdvb-driver debian/copyright*
	chmod +x debian/dvb-driver-source/usr/src/modules/dvb-driver/debian/rules
	cd debian/dvb-driver-source/usr/src/ ; tar -c modules/dvb-driver | bzip2 -9c > dvb-driver.tar.bz2
	rm -rf debian/dvb-driver-source/usr/src/modules/dvb-driver
	
	dh_movefiles

	find debian | grep -i CVS | xargs rm -rf
	find debian/dvb-dev debian/dvb-driver-source/usr/src/modules/ -type f |grep -v rules| xargs chmod -x

# Build architecture-independent files here.
binary-indep: build install 
	dh_testdir -i
	dh_testroot -i
	dh_installdocs -i
	dh_installdocs -i -p dvb-driver-source debian/dvb-driver.debian/README.Debian
	dh_installmenu -i
	dh_installcron -i
	dh_installinfo -i
	dh_installchangelogs -i
	dh_strip -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_fixperms -i -p dvb-dev
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installdocs -a
	dh_installexamples -p dvb-utils apps/szap/channels.conf*
	dh_installexamples -p dvb-utils apps/av7110_loadkeys/*.rcmm
	dh_installexamples -p dvb-utils apps/av7110_loadkeys/*.rc5
	dh_installmenu -a
	dh_installcron -a
	dh_installinfo -a
	dh_installchangelogs  -a
	dh_strip -a
	dh_link -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
